
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>函数调用的汇编码分析 / iVAN</title>

    <meta name="description" content="函数调用的汇编码分析 这几天学习汇编,分析了一下 c++ 中函数调用(cdecl 和 fastcall 方式) 过程的汇编码,记录如下: 程序例子 struct tagTest { int n1; long n2; DWORD n3; }; long funtest1(tagTest p1,int p2,LPCTSTR lpszP3) { // 普通函数 p1.n1 = 3; LPCTSTR lpszxx = lpszP3; p1.n3 = p2; return 300; } long __stdcall funte">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">函数调用的汇编码分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>这几天学习汇编，分析了一下 c++ 中函数调用（cdecl 和 fastcall 方式） 过程的汇编码，记录如下：</p>
<p>程序例子</p>
<p><code>struct tagTest　 <br />
{<br />
　int n1;<br />
　long n2;<br />
　DWORD n3;<br />
};</code></p>
<p><code>long funtest1(tagTest p1,int p2,LPCTSTR lpszP3)　<br />
{　 // 普通函数<br />
　p1.n1 = 3;<br />
　 LPCTSTR lpszxx = lpszP3;<br />
　p1.n3 = p2;<br />
　<br />
　return 300;<br />
}</code></p>
<p><code>long __stdcall funtest2 (tagTest p1,int p2,LPCTSTR lpszP3)<br />
{ // stdcall 函数<br />
　p1.n1 = 3;<br />
　LPCTSTR lpszxx = lpszP3;<br />
　p1.n3 = p2;<br />
　<br />
　return 300;<br />
}</code></p>
<p>1、普通调用（cdecl）。</p>
<p>调用方 C++ 代码：</p>
<p><code>　long ixx = 0;<br />
　tagTest tag1= {34,6,87};<br />
　ixx = funtest1 (tag1,i2,"asdffffffdddddd");</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 14:49:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a0%81/" title="编码">编码</a>, <a href="https://www.iamivan.net/tag/long/" title="long">long</a>, <a href="https://www.iamivan.net/tag/stdcall/" title="stdcall">stdcall</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>函数调用的汇编码分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVa7Zb.html" rel="bookmark">（DirectX系列09）DirectShow EDS应用编码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(DirectX系列09)DirectShow EDS应用编码分析 DES (DirectShow Editing Services),是一套基于DirectShow核心框架的编程接口.DES的出现,简化了视频编辑任务,弥补了DirectShow对于媒体文件非线性编辑支持的先天性不足.但是,就技术本身而言,DES并没有超越DirectShow Filter架构,而只是DirectShow Filter的一种增强应用. 本章通过DirectX 下timelinetest为例子详细介绍Eds应用编码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6eVNb.html" rel="bookmark">（DirectX系列06）DirectShow 字符叠加Filter编码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(DirectX系列06)DirectShow 字符叠加Filter编码分析 在很多视频播放的软件当中,字幕的处理是免不了的,有些可能本身已经加载到图像当中未做处理,但大部分都是通过字符叠加来进行处理的.DirectShow 的字符叠加Filter在这些软件中都扮演这绝佳的作用.这一节来介绍DirectShow字符叠加Filter编码的实现,如下详细介绍: 这个Filter的大概作用是在视频流指定的一段时间内进行字符叠加,字符字体.大小.颜色都进行控制,普遍支持RGB 的各种编码格式,同时实现字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJeP36p.html" rel="bookmark">如何破解这个验证码程序，汇编码求大牛指点（有图）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何破解这个验证码程序,汇编码求大牛指点(有图) 解决方案 除了跳向 00402E90 处的是退回重来,还有4处跳转,逐个往下试: 先把 je 改为 jmp,如果成功,就完成目标. 否则改为两个 nop(覆盖指令和偏移地址),继续下一个.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmOw8z.html" rel="bookmark">flash as 3&period;0 AMF3编码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AMF3是一种紧凑型的二进制编码, 由于是二进制紧凑型的,所以在网络传输中它的效率很高. 但是AMF3它并不是一个压缩型的编码, 一个AMF3数据包其实有很大一部分是描述信息. 通过下面的分析,也许你能明白这一点. 在Socket通讯中,我是这样子做的: 它的解码过程是: 读取short型数据length,然后检测缓冲区数据是否大于length,如果大于length则读取length长个body,再将Body进行解 码,接下来再读取下一个length,再检测Body再将Body解码. 基本上通讯			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Q9PdM.html" rel="bookmark">Windows CE S3C2440A显示驱动编码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Windows CE下显示驱动是一个比较复杂的驱动,不仅仅设计到硬件的操作,还有上层驱动的GDI接口支持,有时候还需要支持DirectDraw等绘图接口.如果所有的编码工作都重新做一遍的话,难度还是挺大的,庆幸的是微软已经把大部分的接口都提供好了,DDI中包含的20个接口函数(以函数指针的方式表示),需要我们实现的也仅仅只有GPEEnableDriver.闲话不多说,我们先来看看S3C2440A_LCD_REG结构体吧,如下所示: typedef struct {     UINT32 LCD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrZ5QM.html" rel="bookmark">（DirectX系列07）DirectShow MFC下Filter编码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    MFC下Filter的编写和Win32下Filter的编写极其相似,但又存在很多不同点,在Win32中需要去实现CreateInstance函数,而在MFC直接用NEW 动态产生,不过这并不代表不需要去维护Filter对象计数,因此在MFC 下Filter中依然需要调用AddRef函数来维护这个平衡:其它还不需要实现注册表注册等功能,如下代码: ////////////////////////////////////////////////////////////////////////			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60O6Oz.html" rel="bookmark">&lpar;DirectX系列08）DirectShow WavDest编码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     在DirectShow 中有很多Samples,WavDest就是其中一个,这个Fliter主要用于将采集到的视频流写入到指定的文件,文件格式是.WAV.如下来看看具体的代码实现.     对于每一个Filter都有一个固定的注册区代码,这是必不可少,如下代码: // {3C78B8E2-6C4D-11d1-ADE2-0000F8754B99} static const GUID CLSID_WavDest = { 0x3c78b8e2, 0x6c4d, 0x11d1, { 0xad,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXNm5jb.html" rel="bookmark">Windows CE S3C2440A开机启动滚动条编码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    和Windows XP一样,Windows CE任然可以绘制美妙的进度条,其实这个操作过程主要是对屏幕缓存进行操作.在S3C2440 CPU BSP代码中已经给出了这段缓冲的地址即IMAGE_FRAMEBUFFER_UA_BASE_eboot,这段缓冲支持的视频编码格式是RGB16,默认颜色为白色,在这个过程当中,并不像EVC一样提供了很多GDI绘图的函数,如绘制线条.矩形等,所有的操作都是从点开始的,由点绘制成线,由线绘制成矩形.可以发现,整个缓冲可以定义为一个二唯数据,每一个元素就是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba0rn2z.html" rel="bookmark">Windows CE S3C2440A下按键驱动程序编码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    这些程序基于TQ2440平台,主要是实现键盘按键的运作,方便起见,只实现了上下左右四个按键.该部分硬件结构图如下:          从硬件图可以看出,按键连接EINT1.EINT2.EINT4和EINT0四个中断引脚.在WindowsCE中,我们只需要处理好这四个中断即可,如下详细介绍:     从这幅图中可以看出,EINT0~4的是由GPF0~4控制的,因此在驱动之前需要先配置这四个GPIO口,使其下降延触发,如下代码: v_pIOPregs-&gt;GPFCON  &amp;= ~(0x3			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQXwzq.html" rel="bookmark" class="title">We can ignore the performance influence when use sync replication in PostgreSQL 9&period;1</a>
					<div>
						PostgreSQL 9.1 提供了同步复制的能力,但是我一直担心同步复制必将带来较大的性能影响. 下面从单节点,多个异步复制节点,多个复制节点(含同步复制节点):以及同步事务,本地事务,异步事务这几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybje2dz.html" rel="bookmark" class="title">Flash动画在网页中播放控制器制作祥解</a>
					<div>
						flash动画|控制|网页 在闪吧看到了这个flash播放器,想下载其源码下来研究已供自己使用,没想到闪吧已做禁止下载功能.费了几天的网上搜索,除了几篇相关资料外,没有源码下载,更没有实例讲解.受不住 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62Q7WM.html" rel="bookmark" class="title">Head First C&num;中文野生版&lpar;page34&rpar;</a>
					<div>
						好的程序用起来是直观的 现在,窗体可以运行了.但是它不怎么好看.你的程序不仅仅是实现功能就行的.它应该易用.只需要几步你就可以把窗体弄得看起来更像本章开头的纸质卡片. 1把你的字段和标签对齐. 把你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRD2Vz.html" rel="bookmark" class="title">PS合成梦幻的海上明月</a>
					<div>
						教程介绍简单的创意场景合成方法.教程中用到的素材不多,总共是三幅素材,合成的时候先构思好大致画面构成,然后把素材加进去,再溶图及装饰细节.后期再整体润色即可. 最终效果 1.我们先创建一个600X75 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOamB3M.html" rel="bookmark" class="title">Photoshop完成数码照片后期构图修复</a>
					<div>
						照片拍得很美,无论是用光还是模特的表现都非常好.我们需要做的修改工作是改变照片的构图,让模特与场景联系更加紧密.模特的视线是十分重要的元素,如果我们将她改为面向左方,就可以与树叶相呼应,照片会更有意境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZOv2z.html" rel="bookmark" class="title">P图有风险，请神人帮忙不能不注意的5件事！</a>
					<div>
						  在修图神人越来越强大的今日,请乡民恶搞也好.真心求救也罢,很多拍摄现场做不到的事,只要你发愿,网友都可以帮你弥补遗憾!最近这样的案例再添一桩,事主是一名荷兰美食部落客Sid Frisjes,这位仁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ5Xnp.html" rel="bookmark" class="title">如何快速更改文件名</a>
					<div>
						  我们知道,很多时候需要更改文件名,在一般情况下,点击右键,然后点击重命名,再输入新的名称,这样未尝不可,但是如果更改的文件较多,就非常麻烦,我们可以使用快捷键F2,点击文件,按F2,然后就可以改名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYqE6b.html" rel="bookmark" class="title">怎么将WinPE写入移动硬盘</a>
					<div>
						  如何将WinPE写入到移动硬盘那里?可能大家都知道怎么将WinPE写入到U盘里将U盘制作成救命U盘,但相信有不少人不知道如何将PE写入到移动硬盘里让移动硬盘变救命移动硬盘.这一回,小编简单说说如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6K8wz.html" rel="bookmark" class="title">eclipse-新建项目同时生成appcompat&lowbar;v7项目出现感叹号</a>
					<div>
						问题描述 新建项目同时生成appcompat_v7项目出现感叹号 eclipse adt升级后,新建项目同时生成appcompat_v7项目文件,appcompat_v7项目文件有一个感叹号,查看原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrDG6M.html" rel="bookmark" class="title">html 正则表达式-正则表达式匹配符合条件的单词</a>
					<div>
						问题描述 正则表达式匹配符合条件的单词 在这些需要匹配的单词中,除最后一个单词:TabletPC 外都要匹配到 Portatili Ultrabook Convertibili Macbook Tab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPQZDp.html" rel="bookmark" class="title">【Android开发】网络编程及Internet应用-通过HTTP访问网络</a>
					<div>
						通有线互联网一样,移动互联网也可以使用HTTP访问网络.在Android中,针对HTTP进行网络通信的方法主要有两种,一种是使用HttpURLConnection实现:另一种是使用HttpClient ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr1rrM.html" rel="bookmark" class="title">php-不能从JSONObject中检索值</a>
					<div>
						问题描述 不能从JSONObject中检索值 我通过PHP给android中的java类(Login screen)传递值,但是给出错误JSONException Error,不能从下面的代码中定义. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEPRop.html" rel="bookmark" class="title">Android Listview之下拉刷新Wifi列表</a>
					<div>
						有些列表信息需要手动去更新,此时比较常用的就是下拉刷新列表,在这里就使用下拉列表来刷新当前Wifi信息 目录结构 界面 关键代码 下拉列表类 package com.example.dropdownr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAQq3M.html" rel="bookmark" class="title">【SSH项目实战】国税协同平台-24&period;条件查询分析与实现</a>
					<div>
						我们之前做好了信息发布管理这一块的功能 这次我们就以这个模块为例,去为其添加查询和分页功能. 我们先从查询功能做起: 条件查询(QueryHelper): 1.查询条件语句hql: from 子句:必 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkewD5b.html" rel="bookmark" class="title">Windows下通过脚本快速修改IP地址</a>
					<div>
						Windows下通过脚本快速修改IP地址 如果通过Windows的网络属性修改Ip/网关,真是太麻烦了. 经常要切换ip,所以我写了两个脚本: c:\办公室.bat netsh interface i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0R6KM.html" rel="bookmark" class="title">ansi-c&plus;&plus;里BSTR与Ansi字符串转换问题</a>
					<div>
						问题描述 c++里BSTR与Ansi字符串转换问题 大虾在哪里,尝试在c++里多字节字符串转BSTR,然后再转回字符串,两次转换后,结果有误啊... 求解.... 代码如下: const UCHAR  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeRxKb.html" rel="bookmark" class="title">ipvs nat-用ipvs做负载均衡&lpar;nat&rpar;方法，测试失败</a>
					<div>
						问题描述 用ipvs做负载均衡(nat)方法,测试失败 在windows下安装了3台虚拟机,防火墙全部关闭 windows的网络配置 ip-192.183.3.228 gateway-192.183. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB4D0M.html" rel="bookmark" class="title">小咖秀如何合并视频 小咖秀合并视频的方法</a>
					<div>
						1.在手机中的&quot;小咖秀&quot;中我们点击'个人中心&quot;然后你会看到有 制作合集,这里会显示已发布和本地作品; 计算的使用方法&quot;&gt; 2.然后在视频界面我们选择已经发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y6g9z.html" rel="bookmark" class="title">电视剧方言有泛滥趋势广电总局重申规范令</a>
					<div>
						国家广电总局近日通过官方网站重申&quot;限制方言令&quot;.通知指出,除地方戏曲片外,电视剧应以普通话为主,一般情况下不得使用方言和不标准普通话:重大革命和历史题材电视剧.少儿题材电视剧及宣传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7VKKz.html" rel="bookmark" class="title">联想悬崖勒马</a>
					<div>
						5308.2万美元的净利润,相对于40.99亿美元的销售额确实不算多,但是却足够振奋士气.在熬过了连续3个季度的亏损之后,联想集团(HK,0992)终于在2009/2010财年的第2季度扭亏为盈.与此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQJ4Bp.html" rel="bookmark" class="title">搜狐微博Android客户端最新版发布 功能丰富</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 搜狐上线微博客户端Android 2.0.0 Beta版,此版本在诸多功能方面做了改进,功能更加丰富,操作更加高效,界面更加友好,更加方便用户随时随地与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwjLBM.html" rel="bookmark" class="title">超简单易用的 &OpenCurlyDoubleQuote;在 pcduino 开发板上写 Linux 驱动控制板载 LED 的闪烁&rdquo;</a>
					<div>
						这里转载一篇 linux 下的驱动程序开发的很基础和有用的文章 在pcduino开发板上写驱动控制板载LED的闪烁 ,实际是一个linux的驱动,该篇文章基础且够用:后续找到 android 下的驱动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYr7Nb.html" rel="bookmark" class="title">《MPLS和VPN体系结构（修订版）》一导读</a>
					<div>
						内容提要 MPLS和VPN体系结构(修订版) 本书详细地介绍了MPLS技术架构,涵盖了有关MPLS的基础理论.拓扑设计.案例研究以及具体配置等多方面的内容,并重点讨论了MPLS的一项主要应用:基于MP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW2Wdz.html" rel="bookmark" class="title">urllib2自定义opener详解&lowbar;python</a>
					<div>
						urllib2.urlopen()函数不支持验证.cookie或者其它HTTP高级功能.要支持这些功能,必须使用build_opener()函数创建自定义Opener对象. 复制代码 代码如下: bu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZwKkb.html" rel="bookmark" class="title">了解PHP的返回引用和局部静态变量&lowbar;php技巧</a>
					<div>
						先阅读手册 ========== 从函数返回一个引用,必须在函数声明和指派返回值给一个变量时都使用引用操作符 &amp; :  复制代码 代码如下: &lt;?php  function &amp;r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0B1jz.html" rel="bookmark" class="title">可视化建模软件应用程序&lpar;转&rpar;</a>
					<div>
						可视化建模软件应用程序 注意:在公开发布的 Visual Studio.NET Beta 2 中可能不提供某些功能.对于构建复杂分布式应用程序的客户,他们所面临的挑战之一就是能否将应用程序体系结构和要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYXE9b.html" rel="bookmark" class="title">zk-zookeeper 除了选举，还有什么时候会有多个提议者</a>
					<div>
						问题描述 zookeeper 除了选举,还有什么时候会有多个提议者 如果 zookeeper 三个节点:z1,z2,z3. a客户端连接z1 b客户端连接z2 1.是否会出现a 看到的结果与b看到的结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZQPkb.html" rel="bookmark" class="title">EXT4&period;0 tree动态加载的问题  亲！</a>
					<div>
						问题描述 现在需要动态的去加载一些节点的信息如 : 树的初始化只加载了1,2层然后当我点击一个按钮 我需要展开3 4 5层肯定是先展开3层 然后3层加载完成后再加载4层 再5层查询了API的一些资料  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YRYmp.html" rel="bookmark" class="title">菜鸟网络算法专家朱礼君：为你的淘宝订单选外箱的是人工智能 &vert; CCF-GAIR 2017</a>
					<div>
						2017年7月7日至9日,全球人工智能与机器人峰会CCF-GAIR大会在深圳大中华喜来登酒店举行.本次由CCF中国计算机学会主办.雷锋网与香港中文大学(深圳)承办的大会聚集了全球30多位顶级院士.近3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenPV0b.html" rel="bookmark" class="title">易宝CEO唐彬：移动支付也能个性化营销</a>
					<div>
						[亿邦动力网讯]9月13日消息,易宝支付CEO唐彬在互联网大会上接受专访时表示要将支付和营销相结合,移动支付也可以做个性化营销. 唐彬认为支付是交易的核心环节.支付环节可以成为有针对性的营销工具,这是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
